%define modname bjack

Name:           ocaml-%{modname}
Version:        0.1.4
Release:        %mkrel 2
Summary:        Ocaml blocking interface to jack audio connection kit
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        LGPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  libjack-devel

%description 
This OCaml library is a blocking interface to jack audio
connection kit. Using it, you can create a jack device and read/write from
it much like with ALSA or OSS.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libjack-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%files
%doc COPYING CHANGES README TIPS
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.mli



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.1.4-2.mga4
+ Revision: 528183
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 malo <malo> 0.1.4-1.mga4
+ Revision: 443700
- update to 0.1.4

* Sat Jan 12 2013 umeabot <umeabot> 0.1.3-7.mga3
+ Revision: 361172
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1.3-6.mga3
+ Revision: 301505
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.1.3-4.mga3
+ Revision: 300044
- new rpm group for ocaml

* Mon Nov 21 2011 malo <malo> 0.1.3-3.mga2
+ Revision: 170434
- missing Requires libjack-devel
- spec clean-up

* Sun Oct 02 2011 shlomif <shlomif> 0.1.3-2.mga2
+ Revision: 151076
- Rebuild for new OCaml - thanks to Malo.

* Thu Sep 29 2011 shlomif <shlomif> 0.1.3-1.mga2
+ Revision: 150277
- imported package ocaml-bjack

